package com.yida.data.common.core.enums;

import com.yida.data.common.core.entity.constant.UnionPayConstant;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 银联云闪付支付类型枚举
 *
 * @author ZYJ
 * @date 2022/6/22
 */
@Getter
@AllArgsConstructor
public enum UnionPayTypeEnum {

    /**
     * 银联云闪付支付类型枚举
     */
    WX_H5_TYPE(0, "微信H5", UnionPayConstant.UNION_H5_PAY),
    WX_TO_MINI_H5_TYPE(1, "微信H5转小程序", UnionPayConstant.WX_TO_MINI_H5_PAY),
    ALI_H5_TYPE(2, "支付宝H5", UnionPayConstant.ALI_H5_PAY),
    UNION_H5_TYPE(3, "银联H5", UnionPayConstant.UNION_H5_PAY);

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String message;

    /**
     * 对应接口地址
     */
    private final String url;
}
